<?php

namespace Drupal\cms_content_sync\Controller;

use Drupal\Core\Controller\ControllerBase;

/**
 * Push changes controller.
 */
class ShowUsage extends ControllerBase {

  /**
   * Render method for show usage.
   *
   * @param mixed $entity
   *   The entity the usage should be shown for.
   * @param string $entity_type
   *   The entity type of the entity the ussage should be shown for.
   *
   * @return array
   *   The content array to theme the introduction
   */
  public function content($entity, $entity_type) {
    $entity = \Drupal::entityTypeManager()
      ->getStorage($entity_type)
      ->load($entity);

    return [
      '#usage' => _cms_content_sync_display_pool_usage($entity),
      '#theme' => 'cms_content_sync_show_usage',
    ];
  }

}
